package com.hzya.frame.sysnew.menuConfig.entity;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * @description: 菜单表
 * @tableName:
 * @entityName:  Module
 * @author: 	 llg
 * @history:	 1.0
 */
public class ModuleVo {


	/** 主键ID */
	private String id;
	/** 路由地址 */
	private String path;
	/** 名称 */
	private String name;
	/** 一级Layout 二级 ParntView 三级component */
	private String component;
	/** alwaysShow */
	private JSONObject meta;
	//下级菜单
	private List<ModuleVo> children;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getComponent() {
		return component;
	}

	public void setComponent(String component) {
		this.component = component;
	}

	public JSONObject getMeta() {
		return meta;
	}

	public void setMeta(JSONObject meta) {
		this.meta = meta;
	}
	public List<ModuleVo> getChildren() {
		return children;
	}

	public void setChildren(List<ModuleVo> children) {
		this.children = children;
	}
}
